From 619757900c7077196b69b5811c7777b865e10588 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Tue, 10 Jun 2025 13:59:08 +0300
Subject: [PATCH 96/96] stdinhand.[ch]: Improve coding style

See RM #1509

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 server/stdinhand.c | 943 ++++++++++++++++++++++++---------------------
 server/stdinhand.h |   2 +-
 2 files changed, 500 insertions(+), 445 deletions(-)

diff --git a/server/stdinhand.c b/server/stdinhand.c
index 03c2f822b4..a1e1153b1a 100644
--- a/server/stdinhand.c
+++ b/server/stdinhand.c
@@ -108,13 +108,13 @@ static time_t *time_duplicate(const time_t *t);
 #define SPECHASH_IDATA_COPY time_duplicate
 #define SPECHASH_IDATA_FREE (kick_hash_data_free_fn_t) free
 #define SPECHASH_UDATA_TO_IDATA(t) (&(t))
-#define SPECHASH_IDATA_TO_UDATA(p) (NULL != p ? *p : 0)
+#define SPECHASH_IDATA_TO_UDATA(p) (p != nullptr ? *p : 0)
 #include "spechash.h"
 
 const char *script_extension = ".serv";
 
-static struct kick_hash *kick_table_by_addr = NULL;
-static struct kick_hash *kick_table_by_user = NULL;
+static struct kick_hash *kick_table_by_addr = nullptr;
+static struct kick_hash *kick_table_by_user = nullptr;
 
 
 static bool cut_client_connection(struct connection *caller, char *name,
@@ -178,7 +178,7 @@ static const char horiz_line[] =
 "------------------------------------------------------------------------------";
 
 /**********************************************************************//**
-  Are we operating under a restricted security regime?  For now
+  Are we operating under a restricted security regime? For now
   this does not do much.
 **************************************************************************/
 static bool is_restricted(struct connection *caller)
@@ -226,7 +226,7 @@ static enum command_id command_named(const char *token, bool accept_ambiguity)
   int ind;
 
   result = match_prefix(command_name_by_number, CMD_NUM, 0,
-                        fc_strncasecmp, NULL, token, &ind);
+                        fc_strncasecmp, nullptr, token, &ind);
 
   if (result < M_PRE_AMBIGUOUS) {
     return ind;
@@ -242,10 +242,10 @@ static enum command_id command_named(const char *token, bool accept_ambiguity)
 **************************************************************************/
 void stdinhand_init(void)
 {
-  fc_assert(NULL == kick_table_by_addr);
+  fc_assert(kick_table_by_addr == nullptr);
   kick_table_by_addr = kick_hash_new();
 
-  fc_assert(NULL == kick_table_by_user);
+  fc_assert(kick_table_by_user == nullptr);
   kick_table_by_user = kick_hash_new();
 }
 
@@ -263,46 +263,48 @@ void stdinhand_turn(void)
 **************************************************************************/
 void stdinhand_free(void)
 {
-  fc_assert(NULL != kick_table_by_addr);
-  if (NULL != kick_table_by_addr) {
+  fc_assert(kick_table_by_addr != nullptr);
+  if (kick_table_by_addr != nullptr) {
     kick_hash_destroy(kick_table_by_addr);
-    kick_table_by_addr = NULL;
+    kick_table_by_addr = nullptr;
   }
 
-  fc_assert(NULL != kick_table_by_user);
-  if (NULL != kick_table_by_user) {
+  fc_assert(kick_table_by_user != nullptr);
+  if (kick_table_by_user != nullptr) {
     kick_hash_destroy(kick_table_by_user);
-    kick_table_by_user = NULL;
+    kick_table_by_user = nullptr;
   }
 }
 
 /**********************************************************************//**
-  Whether the caller can use the specified command. caller == NULL means
+  Whether the caller can use the specified command. caller == nullptr means
   console.
 **************************************************************************/
 static bool may_use(struct connection *caller, enum command_id cmd)
 {
-  if (!caller) {
-    return TRUE;  /* on the console, everything is allowed */
+  if (caller == nullptr) {
+    return TRUE;  /* On the console, everything is allowed */
   }
+
   return (caller->access_level >= command_level(command_by_number(cmd)));
 }
 
 /**********************************************************************//**
   Whether the caller cannot use any commands at all.
-  caller == NULL means console.
+  caller == nullptr means console.
 **************************************************************************/
 static bool may_use_nothing(struct connection *caller)
 {
-  if (!caller) {
-    return FALSE;  /* on the console, everything is allowed */
+  if (caller == nullptr) {
+    return FALSE;  /* On the console, everything is allowed */
   }
+
   return (ALLOW_NONE == conn_get_access(caller));
 }
 
 /**********************************************************************//**
   Return the status of the setting (changeable, locked, fixed).
-  caller == NULL means console.
+  caller == nullptr means console.
 **************************************************************************/
 static char setting_status(struct connection *caller,
                            const struct setting *pset)
@@ -314,25 +316,25 @@ static char setting_status(struct connection *caller,
     return '!';
   }
 
-  if (setting_is_changeable(pset, caller, NULL, 0)) {
-    /* setting can be changed */
+  if (setting_is_changeable(pset, caller, nullptr, 0)) {
+    /* Setting can be changed */
     return '+';
   }
 
-  /* setting is fixed */
+  /* Setting is fixed */
   return ' ';
 }
 
 /**********************************************************************//**
-  feedback related to server commands
-  caller == NULL means console.
+  Feedback related to server commands
+  caller == nullptr means console.
   No longer duplicate all output to console.
 
   This lowlevel function takes a single line; prefix is prepended to line.
 **************************************************************************/
 static void cmd_reply_line(enum command_id cmd, struct connection *caller,
-			   enum rfc_status rfc_status, const char *prefix,
-			   const char *line)
+                           enum rfc_status rfc_status, const char *prefix,
+                           const char *line)
 {
   const char *cmdname = cmd < CMD_NUM
                         ? command_name_by_number(cmd)
@@ -345,7 +347,7 @@ static void cmd_reply_line(enum command_id cmd, struct connection *caller,
                             : "(?!?)";  /* this case is a bug! */
 
   if (caller) {
-    notify_conn(caller->self, NULL, E_SETTING, ftc_command,
+    notify_conn(caller->self, nullptr, E_SETTING, ftc_command,
                 "/%s: %s%s", cmdname, prefix, line);
     /* cc: to the console - testing has proved it's too verbose - rp
     con_write(rfc_status, "%s/%s: %s%s", caller->name, cmdname, prefix, line);
@@ -357,7 +359,7 @@ static void cmd_reply_line(enum command_id cmd, struct connection *caller,
   if (rfc_status == C_OK) {
     struct packet_chat_msg packet;
 
-    package_event(&packet, NULL, E_SETTING, ftc_server, "%s", line);
+    package_event(&packet, nullptr, E_SETTING, ftc_server, "%s", line);
     conn_list_iterate(game.est_connections, pconn) {
       /* Do not tell caller, since they were told above! */
       if (caller != pconn) {
@@ -366,7 +368,7 @@ static void cmd_reply_line(enum command_id cmd, struct connection *caller,
     } conn_list_iterate_end;
     event_cache_add_for_all(&packet);
 
-    if (NULL != caller) {
+    if (caller != nullptr) {
       /* Echo to the console. */
       log_normal("%s", line);
     }
@@ -401,14 +403,15 @@ static void vcmd_reply_prefix(enum command_id cmd, struct connection *caller,
   duplicate declaration required for attribute to work...
 **************************************************************************/
 static void cmd_reply_prefix(enum command_id cmd, struct connection *caller,
-			     enum rfc_status rfc_status, const char *prefix,
-			     const char *format, ...)
+                             enum rfc_status rfc_status, const char *prefix,
+                             const char *format, ...)
      fc__attribute((__format__ (__printf__, 5, 6)));
 static void cmd_reply_prefix(enum command_id cmd, struct connection *caller,
-			     enum rfc_status rfc_status, const char *prefix,
-			     const char *format, ...)
+                             enum rfc_status rfc_status, const char *prefix,
+                             const char *format, ...)
 {
   va_list ap;
+
   va_start(ap, format);
   vcmd_reply_prefix(cmd, caller, rfc_status, prefix, format, ap);
   va_end(ap);
@@ -421,6 +424,7 @@ void cmd_reply(enum command_id cmd, struct connection *caller,
                enum rfc_status rfc_status, const char *format, ...)
 {
   va_list ap;
+
   va_start(ap, format);
   vcmd_reply_prefix(cmd, caller, rfc_status, "", format, ap);
   va_end(ap);
@@ -431,31 +435,31 @@ void cmd_reply(enum command_id cmd, struct connection *caller,
   is invalid. This function is common handling for that situation.
 **************************************************************************/
 static void cmd_reply_no_such_player(enum command_id cmd,
-				     struct connection *caller,
-				     const char *name,
-				     enum m_pre_result match_result)
+                                     struct connection *caller,
+                                     const char *name,
+                                     enum m_pre_result match_result)
 {
   switch (match_result) {
   case M_PRE_EMPTY:
     cmd_reply(cmd, caller, C_SYNTAX,
-	      _("Name is empty, so cannot be a player."));
+              _("Name is empty, so cannot be a player."));
     break;
   case M_PRE_LONG:
     cmd_reply(cmd, caller, C_SYNTAX,
-	      _("Name is too long, so cannot be a player."));
+              _("Name is too long, so cannot be a player."));
     break;
   case M_PRE_AMBIGUOUS:
     cmd_reply(cmd, caller, C_FAIL,
-	      _("Player name prefix '%s' is ambiguous."), name);
+              _("Player name prefix '%s' is ambiguous."), name);
     break;
   case M_PRE_FAIL:
     cmd_reply(cmd, caller, C_FAIL,
-	      _("No player by the name of '%s'."), name);
+              _("No player by the name of '%s'."), name);
     break;
   default:
     cmd_reply(cmd, caller, C_FAIL,
-	      _("Unexpected match_result %d (%s) for '%s'."),
-	      match_result, _(m_pre_description(match_result)), name);
+              _("Unexpected match_result %d (%s) for '%s'."),
+              match_result, _(m_pre_description(match_result)), name);
     log_error("Unexpected match_result %d (%s) for '%s'.",
               match_result, m_pre_description(match_result), name);
   }
@@ -466,31 +470,31 @@ static void cmd_reply_no_such_player(enum command_id cmd,
   is invalid. This function is common handling for that situation.
 **************************************************************************/
 static void cmd_reply_no_such_conn(enum command_id cmd,
-				   struct connection *caller,
-				   const char *name,
-				   enum m_pre_result match_result)
+                                   struct connection *caller,
+                                   const char *name,
+                                   enum m_pre_result match_result)
 {
   switch (match_result) {
   case M_PRE_EMPTY:
     cmd_reply(cmd, caller, C_SYNTAX,
-	      _("Name is empty, so cannot be a connection."));
+              _("Name is empty, so cannot be a connection."));
     break;
   case M_PRE_LONG:
     cmd_reply(cmd, caller, C_SYNTAX,
-	      _("Name is too long, so cannot be a connection."));
+              _("Name is too long, so cannot be a connection."));
     break;
   case M_PRE_AMBIGUOUS:
     cmd_reply(cmd, caller, C_FAIL,
-	      _("Connection name prefix '%s' is ambiguous."), name);
+              _("Connection name prefix '%s' is ambiguous."), name);
     break;
   case M_PRE_FAIL:
     cmd_reply(cmd, caller, C_FAIL,
-	      _("No connection by the name of '%s'."), name);
+              _("No connection by the name of '%s'."), name);
     break;
   default:
     cmd_reply(cmd, caller, C_FAIL,
-	      _("Unexpected match_result %d (%s) for '%s'."),
-	      match_result, _(m_pre_description(match_result)), name);
+              _("Unexpected match_result %d (%s) for '%s'."),
+              match_result, _(m_pre_description(match_result)), name);
     log_error("Unexpected match_result %d (%s) for '%s'.",
               match_result, m_pre_description(match_result), name);
   }
@@ -526,7 +530,7 @@ static void close_metaserver_connection(struct connection *caller)
 /**********************************************************************//**
   Handle metaconnection command.
 **************************************************************************/
-static bool metaconnection_command(struct connection *caller, char *arg, 
+static bool metaconnection_command(struct connection *caller, char *arg,
                                    bool check)
 {
   bool persistent = FALSE;
@@ -540,6 +544,7 @@ static bool metaconnection_command(struct connection *caller, char *arg,
       cmd_reply(CMD_METACONN, caller, C_COMMENT,
                 _("Metaserver connection is closed."));
     }
+
     return TRUE;
   }
 
@@ -576,13 +581,14 @@ static bool metaconnection_command(struct connection *caller, char *arg,
               _("Argument must be 'u', 'up', 'd', 'down', 'p', 'persistent', or '?'."));
     return FALSE;
   }
+
   return TRUE;
 }
 
 /**********************************************************************//**
   Handle metapatches command.
 **************************************************************************/
-static bool metapatches_command(struct connection *caller, 
+static bool metapatches_command(struct connection *caller,
                                 char *arg, bool check)
 {
   if (check) {
@@ -619,6 +625,7 @@ static bool metaserver_command(struct connection *caller, char *arg,
 
   cmd_reply(CMD_METASERVER, caller, C_OK,
             _("Metaserver is now [%s]."), meta_addr_port());
+
   return TRUE;
 }
 
@@ -646,6 +653,7 @@ static bool save_command(struct connection *caller, char *arg, bool check)
   if (!check) {
     save_game(arg, "User request", FALSE);
   }
+
   return TRUE;
 }
 
@@ -663,6 +671,7 @@ static bool scensave_command(struct connection *caller, char *arg, bool check)
   if (!check) {
     save_game(arg, "Scenario", TRUE);
   }
+
   return TRUE;
 }
 
@@ -671,12 +680,12 @@ static bool scensave_command(struct connection *caller, char *arg, bool check)
 **************************************************************************/
 void toggle_ai_player_direct(struct connection *caller, struct player *pplayer)
 {
-  fc_assert_ret(pplayer != NULL);
+  fc_assert_ret(pplayer != nullptr);
 
   if (is_human(pplayer)) {
     cmd_reply(CMD_AITOGGLE, caller, C_OK,
-	      _("%s is now under AI control."),
-	      player_name(pplayer));
+              _("%s is now under AI control."),
+              player_name(pplayer));
     player_set_to_ai_mode(pplayer,
                           !ai_level_is_valid(pplayer->ai_common.skill_level)
                           ? game.info.skill_level
@@ -684,8 +693,8 @@ void toggle_ai_player_direct(struct connection *caller, struct player *pplayer)
     fc_assert(is_ai(pplayer));
   } else {
     cmd_reply(CMD_AITOGGLE, caller, C_OK,
-	      _("%s is now under human control."),
-	      player_name(pplayer));
+              _("%s is now under human control."),
+              player_name(pplayer));
     player_set_under_human_control(pplayer);
     fc_assert(is_human(pplayer));
   }
@@ -708,6 +717,7 @@ static bool toggle_ai_command(struct connection *caller, char *arg, bool check)
     toggle_ai_player_direct(caller, pplayer);
     send_player_info_c(pplayer, game.est_connections);
   }
+
   return TRUE;
 }
 
@@ -744,10 +754,10 @@ static bool create_command(struct connection *caller, const char *str,
 
   if (game_was_started()) {
     status = create_command_newcomer(arg[0], ai_type_name, check,
-                                     NULL, NULL, buf, sizeof(buf));
+                                     nullptr, nullptr, buf, sizeof(buf));
   } else {
     status = create_command_pregame(arg[0], ai_type_name, check,
-                                    NULL, buf, sizeof(buf));
+                                    nullptr, buf, sizeof(buf));
   }
 
   free_tokens(arg, ntokens);
@@ -782,7 +792,7 @@ enum rfc_status create_command_newcomer(const char *name,
                                         struct player **newplayer,
                                         char *buf, size_t buflen)
 {
-  struct player *pplayer = NULL;
+  struct player *pplayer = nullptr;
   struct research *presearch;
   bool new_slot = FALSE;
 
@@ -792,7 +802,7 @@ enum rfc_status create_command_newcomer(const char *name,
   }
 
   /* Check first if we can replace a player with
-   * [1a] - the same username. */
+   * [1a] - The same username. */
   pplayer = player_by_user(name);
   if (pplayer && pplayer->is_alive) {
     fc_snprintf(buf, buflen,
@@ -800,7 +810,7 @@ enum rfc_status create_command_newcomer(const char *name,
     return C_BOUNCE;
   }
 
-  /* [1b] - the same player name. */
+  /* [1b] - The same player name. */
   pplayer = player_by_name(name);
   if (pplayer && pplayer->is_alive) {
     fc_snprintf(buf, buflen,
@@ -827,7 +837,7 @@ enum rfc_status create_command_newcomer(const char *name,
     } players_iterate_end;
   } else {
     /* Try to find a nation. */
-    pnation = pick_a_nation(NULL, FALSE, TRUE, NOT_A_BARBARIAN);
+    pnation = pick_a_nation(nullptr, FALSE, TRUE, NOT_A_BARBARIAN);
     if (pnation == NO_NATION_SELECTED) {
       fc_snprintf(buf, buflen,
                   _("Can't create players, no nations available."));
@@ -835,7 +845,7 @@ enum rfc_status create_command_newcomer(const char *name,
     }
   }
 
-  if (pplayer == NULL) {
+  if (pplayer == nullptr) {
     if (player_count() == player_slot_count()) {
       bool dead_found = FALSE;
 
@@ -872,9 +882,9 @@ enum rfc_status create_command_newcomer(const char *name,
     fc_snprintf(buf, buflen,
                 _("%s is replacing dead player %s as an AI-controlled "
                   "player."), name, player_name(pplayer));
-    /* remove player and thus free a player slot */
+    /* Remove player and thus free a player slot */
     server_remove_player(pplayer);
-    pplayer = NULL;
+    pplayer = nullptr;
   } else if (player_count() == player_slot_count()) {
     /* [2] All player slots are used; try to remove a dead player. */
     bool dead_found = FALSE;
@@ -901,7 +911,7 @@ enum rfc_status create_command_newcomer(const char *name,
   }
 
   /* Create the new player. */
-  pplayer = server_create_player(-1, ai, NULL, FALSE);
+  pplayer = server_create_player(-1, ai, nullptr, FALSE);
   if (!pplayer) {
     fc_snprintf(buf, buflen, _("Failed to create new player %s."), name);
     return C_FAIL;
@@ -924,7 +934,7 @@ enum rfc_status create_command_newcomer(const char *name,
   /* Find a color for the new player. */
   assign_player_colors();
 
-  /* TRANS: keep one space at the beginning of the string. */
+  /* TRANS: Keep one space at the beginning of the string. */
   cat_snprintf(buf, buflen, _(" Nation of the new player: %s."),
                nation_rule_name(pnation));
 
@@ -936,23 +946,24 @@ enum rfc_status create_command_newcomer(const char *name,
   sz_strlcpy(pplayer->username, _(ANON_USER_NAME));
   pplayer->unassigned_user = TRUE;
 
-  pplayer->was_created = TRUE; /* must use /remove explicitly to remove */
+  pplayer->was_created = TRUE; /* Must use /remove explicitly to remove */
   set_as_ai(pplayer);
   set_ai_level_directer(pplayer, game.info.skill_level);
 
   CALL_PLR_AI_FUNC(gained_control, pplayer, pplayer);
 
-  send_player_info_c(pplayer, NULL);
+  send_player_info_c(pplayer, nullptr);
   /* Send updated diplstate information to all players. */
-  send_player_diplstate_c(NULL, NULL);
+  send_player_diplstate_c(nullptr, nullptr);
   /* Send research info after player info, else the client will complain
    * about invalid team. */
-  send_research_info(presearch, NULL);
+  send_research_info(presearch, nullptr);
   (void) send_server_info_to_metaserver(META_INFO);
 
-  if (newplayer != NULL) {
+  if (newplayer != nullptr) {
     *newplayer = pplayer;
   }
+
   return C_OK;
 }
 
@@ -966,7 +977,7 @@ enum rfc_status create_command_pregame(const char *name,
                                        char *buf, size_t buflen)
 {
   char leader_name[MAX_LEN_NAME]; /* Must be in whole function scope */
-  struct player *pplayer = NULL;
+  struct player *pplayer = nullptr;
   bool rand_name = FALSE;
 
   if (name[0] == '\0') {
@@ -984,12 +995,12 @@ enum rfc_status create_command_pregame(const char *name,
     return C_SYNTAX;
   }
 
-  if (NULL != player_by_name(name)) {
+  if (player_by_name(name) != nullptr) {
     fc_snprintf(buf, buflen,
                 _("A player already exists by that name."));
     return C_BOUNCE;
   }
-  if (NULL != player_by_user(name)) {
+  if (player_by_user(name) != nullptr) {
     fc_snprintf(buf, buflen,
                 _("A user already exists by that name."));
     return C_BOUNCE;
@@ -998,7 +1009,7 @@ enum rfc_status create_command_pregame(const char *name,
   /* Search for first uncontrolled player */
   pplayer = find_uncontrolled_player();
 
-  if (NULL == pplayer) {
+  if (pplayer == nullptr) {
     /* Check that we are not going over max players setting */
     if (normal_player_count() >= game.server.max_players) {
       fc_snprintf(buf, buflen,
@@ -1022,7 +1033,7 @@ enum rfc_status create_command_pregame(const char *name,
   if (pplayer) {
     struct ai_type *ait = ai_type_by_name(ai);
 
-    if (ait == NULL) {
+    if (ait == nullptr) {
       fc_snprintf(buf, buflen,
                   _("There is no AI type %s."), ai);
       return C_FAIL;
@@ -1047,9 +1058,9 @@ enum rfc_status create_command_pregame(const char *name,
     team_remove_player(pplayer);
     pplayer->ai = ai_type_by_name(ai);
   } else {
-    /* add new player */
-    pplayer = server_create_player(-1, ai, NULL, FALSE);
-    /* pregame so no need to assign_player_colors() */
+    /* Add new player */
+    pplayer = server_create_player(-1, ai, nullptr, FALSE);
+    /* Pregame so no need to assign_player_colors() */
     if (!pplayer) {
       fc_snprintf(buf, buflen,
                   _("Failed to create new player %s."), name);
@@ -1066,7 +1077,7 @@ enum rfc_status create_command_pregame(const char *name,
   sz_strlcpy(pplayer->username, _(ANON_USER_NAME));
   pplayer->unassigned_user = TRUE;
 
-  pplayer->was_created = TRUE; /* must use /remove explicitly to remove */
+  pplayer->was_created = TRUE; /* Must use /remove explicitly to remove */
   pplayer->random_name = rand_name;
   set_as_ai(pplayer);
   set_ai_level_directer(pplayer, game.info.skill_level);
@@ -1077,9 +1088,10 @@ enum rfc_status create_command_pregame(const char *name,
   reset_all_start_commands(TRUE);
   (void) send_server_info_to_metaserver(META_INFO);
 
-  if (newplayer != NULL) {
+  if (newplayer != nullptr) {
     *newplayer = pplayer;
   }
+
   return C_OK;
 }
 
@@ -1095,7 +1107,7 @@ static bool remove_player_command(struct connection *caller, char *arg,
 
   pplayer = player_by_name_prefix(arg, &match_result);
 
-  if (NULL == pplayer) {
+  if (pplayer == nullptr) {
     cmd_reply_no_such_player(CMD_REMOVE, caller, arg, match_result);
     return FALSE;
   }
@@ -1112,11 +1124,12 @@ static bool remove_player_command(struct connection *caller, char *arg,
 
   sz_strlcpy(name, player_name(pplayer));
   server_remove_player(pplayer);
-  if (!caller || caller->used) {     /* may have removed self */
+  if (!caller || caller->used) {     /* May have removed self */
     cmd_reply(CMD_REMOVE, caller, C_OK,
-	      _("Removed player %s from the game."), name);
+              _("Removed player %s from the game."), name);
   }
   (void) aifill(game.info.aifill);
+
   return TRUE;
 }
 
@@ -1145,7 +1158,7 @@ bool read_init_script(struct connection *caller, const char *script_filename,
   Security: We will look for a file with mandatory extension '.serv',
   and on public servers we will not look outside the data directories.
   As long as the user cannot create files with arbitrary names in the
-  root of the data directories, this should ensure that we will not be 
+  root of the data directories, this should ensure that we will not be
   tricked into loading non-approved content. The script is read with the
   permissions of the caller, so it will in any case not lead to elevated
   permissions unless there are other bugs.
@@ -1160,18 +1173,18 @@ static bool read_init_script_real(struct connection *caller,
   const char *real_filename;
   size_t fnlen;
 
-  /* check recursion depth */
+  /* Check recursion depth */
   if (read_recursion > GAME_MAX_READ_RECURSION) {
     log_error("Error: recursive calls to read!");
     return FALSE;
   }
 
-  /* abuse real_filename to find if we already have a .serv extension */
+  /* Abuse real_filename to find if we already have a .serv extension */
   fnlen = strlen(script_filename);
   real_filename = script_filename + fnlen
                   - MIN(strlen(script_extension), fnlen);
   if (strcmp(real_filename, script_extension) != 0) {
-    fc_snprintf(serv_filename, sizeof(serv_filename), "%s%s", 
+    fc_snprintf(serv_filename, sizeof(serv_filename), "%s%s",
                 script_filename, script_extension);
   } else {
     sz_strlcpy(serv_filename, script_filename);
@@ -1193,7 +1206,7 @@ static bool read_init_script_real(struct connection *caller,
   if (!real_filename) {
     if (is_restricted(caller) && !from_cmdline) {
       cmd_reply(CMD_READ_SCRIPT, caller, C_FAIL,
-                _("No command script found by the name \"%s\"."), 
+                _("No command script found by the name \"%s\"."),
                 serv_filename);
       return FALSE;
     }
@@ -1220,9 +1233,10 @@ static bool read_init_script_real(struct connection *caller,
   } else {
     cmd_reply(CMD_READ_SCRIPT, caller, C_FAIL,
               _("Cannot read command line scriptfile '%s'."), real_filename);
-    if (NULL != caller) {
+    if (caller != nullptr) {
       log_error(_("Could not read script file '%s'."), real_filename);
     }
+
     return FALSE;
   }
 }
@@ -1313,7 +1327,7 @@ static bool write_command(struct connection *caller, char *arg, bool check)
     const char *real_filename;
     size_t arglen = strlen(arg);
 
-    /* abuse real_filename to find if we already have a .serv extension */
+    /* Abuse real_filename to find if we already have a .serv extension */
     real_filename = arg + arglen - MIN(strlen(script_extension), arglen);
     if (strcmp(real_filename, script_extension) != 0) {
       fc_snprintf(serv_filename, sizeof(serv_filename), "%s%s",
@@ -1345,7 +1359,7 @@ static bool set_cmdlevel(struct connection *caller,
                          enum cmdlevel level)
 {
   /* Only ever call me for specific connection. */
-  fc_assert_ret_val(ptarget != NULL, FALSE);
+  fc_assert_ret_val(ptarget != nullptr, FALSE);
 
   if (caller && ptarget->access_level > caller->access_level) {
     /*
@@ -1353,7 +1367,7 @@ static bool set_cmdlevel(struct connection *caller,
      * and thus this if clause is needed.
      * (Imagine a ctrl level access player that wants to change
      * access level of a hack level access player)
-     * At the moment it can be used only by hack access level 
+     * At the moment it can be used only by hack access level
      * and thus this clause is never used.
      */
     cmd_reply(CMD_CMDLEVEL, caller, C_FAIL,
@@ -1400,7 +1414,7 @@ static bool is_first_access_level_taken(void)
 enum cmdlevel access_level_for_next_connection(void)
 {
   if ((first_access_level > default_access_level)
-			&& !a_connection_exists()) {
+      && !a_connection_exists()) {
     return first_access_level;
   } else {
     return default_access_level;
@@ -1415,7 +1429,7 @@ void notify_if_first_access_level_is_available(void)
 {
   if (first_access_level > default_access_level
       && !is_first_access_level_taken()) {
-    notify_conn(NULL, NULL, E_SETTING, ftc_any,
+    notify_conn(nullptr, nullptr, E_SETTING, ftc_any,
                 _("Anyone can now become game organizer "
                   "'%s' by issuing the 'first' command."),
                 cmdlevel_name(first_access_level));
@@ -1445,11 +1459,11 @@ static bool cmdlevel_command(struct connection *caller, char *str, bool check)
     conn_list_iterate(game.est_connections, pconn) {
       const char *lvl_name = cmdlevel_name(conn_get_access(pconn));
 
-      if (lvl_name != NULL) {
+      if (lvl_name != nullptr) {
         cmd_reply(CMD_CMDLEVEL, caller, C_COMMENT, "cmdlevel %s %s",
                   lvl_name, pconn->username);
       } else {
-        fc_assert(lvl_name != NULL); /* Always fails when reached. */
+        fc_assert(lvl_name != nullptr); /* Always fails when reached. */
       }
     } conn_list_iterate_end;
     cmd_reply(CMD_CMDLEVEL, caller, C_COMMENT,
@@ -1488,7 +1502,7 @@ static bool cmdlevel_command(struct connection *caller, char *str, bool check)
   }
 
   if (check) {
-    return TRUE;                /* looks good */
+    return TRUE;                /* Looks good */
   }
 
   if (ntokens == 1) {
@@ -1572,16 +1586,16 @@ static bool firstlevel_command(struct connection *caller, bool check)
 {
   if (!caller) {
     cmd_reply(CMD_FIRSTLEVEL, caller, C_FAIL,
-	_("The 'first' command makes no sense from the server command line."));
+        _("The 'first' command makes no sense from the server command line."));
     return FALSE;
   } else if (caller->access_level >= first_access_level) {
     cmd_reply(CMD_FIRSTLEVEL, caller, C_FAIL,
-	_("You already have command access level '%s' or better."),
-		cmdlevel_name(first_access_level));
+        _("You already have command access level '%s' or better."),
+              cmdlevel_name(first_access_level));
     return FALSE;
   } else if (is_first_access_level_taken()) {
     cmd_reply(CMD_FIRSTLEVEL, caller, C_FAIL,
-	_("Someone else is already game organizer."));
+        _("Someone else is already game organizer."));
     return FALSE;
   } else if (!check) {
     conn_set_access(caller, first_access_level, FALSE);
@@ -1589,6 +1603,7 @@ static bool firstlevel_command(struct connection *caller, bool check)
               _("Connection %s has opted to become the game organizer."),
               caller->username);
   }
+
   return TRUE;
 }
 
@@ -1598,7 +1613,7 @@ static bool firstlevel_command(struct connection *caller, bool check)
 void set_running_game_access_level(void)
 {
   if (default_access_level > ALLOW_BASIC) {
-    notify_conn(NULL, NULL, E_SETTING, ftc_server,
+    notify_conn(nullptr, nullptr, E_SETTING, ftc_server,
                 _("Default cmdlevel lowered to 'basic' on game start."));
     default_access_level = ALLOW_BASIC;
   }
@@ -1621,10 +1636,10 @@ static const char *olvlname_accessor(int i)
 {
   if (i == 0) {
     return "rulesetdir";
-  } else if (i < OLEVELS_NUM+1) {
-    return sset_level_name(i-1);
+  } else if (i < OLEVELS_NUM + 1) {
+    return sset_level_name(i - 1);
   } else {
-    return optname_accessor(i-OLEVELS_NUM-1);
+    return optname_accessor(i - OLEVELS_NUM - 1);
   }
 }
 #endif /* FREECIV_HAVE_LIBREADLINE */
@@ -1664,12 +1679,13 @@ static bool timeout_command(struct connection *caller, char *str, bool check)
   }
 
   cmd_reply(CMD_TIMEOUT, caller, C_OK, _("Dynamic timeout set to "
-					 "%d %d %d %d"),
-	    game.server.timeoutint, game.server.timeoutintinc,
-	    game.server.timeoutinc, game.server.timeoutincmult);
+                                         "%d %d %d %d"),
+            game.server.timeoutint, game.server.timeoutintinc,
+            game.server.timeoutinc, game.server.timeoutincmult);
 
-  /* if we set anything here, reset the counter */
+  /* If we set anything here, reset the counter */
   game.server.timeoutcounter = 1;
+
   return TRUE;
 }
 
@@ -1713,7 +1729,7 @@ static int lookup_option(const char *name)
   }
 
   result = match_prefix(optname_accessor, settings_number(),
-                        0, fc_strncasecmp, NULL, name, &ind);
+                        0, fc_strncasecmp, nullptr, name, &ind);
   if (M_PRE_AMBIGUOUS > result) {
     return ind;
   } else if (M_PRE_AMBIGUOUS == result) {
